.TH XWAVE 1 "17 July 1999"
.SH NAME
xwave \- edits audio files in X Window System
.SH SYNOPSIS
.B xwave
[
.B \-h
|
.B \-?
|
.B \-help
]
[
.B \-device " device"
]
[
.BI \-wdir " working-directory"
]
[
.BI \-maxmem " mem-in-bytes"
]
.I audio-file
 ...
.LP

.SH DESCRIPTION
.B XWave
can edit, modify, and apply effects to sound files.

It supports RIFF (also known as WAV), AIFC, AU and RAW audio formats
with different compression schemes (PCM, ALAW, ULAW and ADPCM).

.SH OPTIONS
.TP
.B \-h
.B \-?
.B \-help
Prints a short help.
.TP
.BI \-device " device"
Use the specified 
.I device
for playing and recording. Defaults to /dev/dsp
.TP
.BI \-wdir " working-directory"
The directory where files will be loaded and saved by default.
.TP
.BI \-maxmem " mem-in-bytes"
Use at most 
.I mem-in-bytes
bytes of memory per file loaded. If a file exceeds
.I mem-in-bytes
bytes, it will be played and edited on disk.

.SH RESOURCES
.TP
.BI XWave*wdir
The working directory.

.TP
.BI XWave*tdir
The temporary directory where files which cannot fit in physical
memory are edited. This is overridden by the environment variables
.I TMP
and
.I TMPDIR.

.TP
.BI XWave*device
The device used for playing and recording.

.TP
.BI XWave*maxmem
Maximum memory in bytes to be allocated in RAM. Any edited file
exceeding this size will be edited on disk.

.SH ENVIRONMENT
.TP
.BI TMP
If this variable exists and points to a writable directory, this
directory will be used as temporary directory.

.TP
.BI TMPDIR
Same as 
.I TMP.

.SH NOTES
.B Xwave
will try to find the temporary directory by searching successively:
.PP
the environment variable
.I TMP,
.PP
the environment variable
.I TMPDIR,
.PP
the X resource
.I XWave*tdir,
.PP 
or the hard-coded /tmp directory.

.SH AUTHOR
.PP
This man page has been written for Debian by Philippe Troin
<phil@fifi.org>.

\"  LocalWords:  XWAVE xwave wdir maxmem mem XWave RIFF WAV AIFC AU PCM ALAW
\"  LocalWords:  ULAW ADPCM tdir TMP TMPDIR tmp Debian Troin
